/*
 * Display all escape sequences (beginning with ASCII 027)
 * encountered on stdin.  The first 20 characters are displayed.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void main (int argc, char *argv []) {
	int c, n;

	if (argc > 1) {
		fprintf (stderr, "Reads stdin.\n");
		fflush (stderr);
		exit (1);
	}

	while ( (c = getchar()) != EOF ) {
		if (c == 27) {        /* escape character */
			putchar (c);
			n = 0;
			while ( (c = getchar()) != EOF && c != 27 &&
					 c != '\n' && c != 13 && c != 12 ) {
				putchar (c);
				if (++n >= 20)
					break;
			}
			if (c == 27) {
				ungetc (c, stdin);
/*				printf ("     <<<"); */
			}
			putchar ('\n');
		}
	}

}
